/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.12.17
 * 描述               :        			物料进程表
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.MaterielTrack.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.MaterielTrack.mapper.PrcMaterielProcessMapper;
import market.Mes.MaterielTrack.mapper.TbdipdoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="Tbdipdo", namespace=TbdipdoMapper.class)
public class Tbdipdo extends BaseVO implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4331860005701399989L;	
	
	@Column
	private Long timestamp ; 
	public Long getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(Long timestamp) {
		this.timestamp = timestamp;
	}
	
	@Column
	private String serialno ; 
	public String getSerialno() {
		return serialno;
	}

	public void setSerialno(String serialno) {
		this.serialno = serialno;
	}
	
	@Column
	private String queueid ; 
	public String getQueueid() {
		return queueid;
	}

	public void setQueueid(String queueid) {
		this.queueid = queueid;
	}
	
	@Column
	private String header ; 
	public String getHeader() {
		return header;
	}

	public void setHeader(String header) {
		this.header = header;
	}
	
	@Column
	private String data ; 
	public String getData() {
		return data;
	}

	public void setData(String data) {
		this.data = data;
	}
	
	@Column
	private String status ; 
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	@Column
	private Date processtime ; 
	public Date getProcesstime() {
		return processtime;
	}

	public void setProcesstime(Date processtime) {
		this.processtime = processtime;
	}

	@Column
	private String description ; 
	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
}
